<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="ReportRole" 
Description="Право на отчет" 
version="2" 
UnrestrictedAccess="1" 
PrimaryKey="RepRoleID" 
DNAttributes="{RoleID / DisplayName};{ReportRights / DisplayName}" 
DisplayName="{0} ({1})">
  <Fields>
    <Attribute Name="RepRoleID" Index="190001" Type="guid" Description="Идентификатор" />
    <Parent Name="ReportID" Index="190002" Type="VCLib.BaseReport" Description="Отчет" Required="1" />
    <Parent Name="RoleID" Index="190003" Type="VCLib.ROLES" Description="Роль" Required="1" />
    <Parent Name="ReportRights" Index="190004" Type="VCLib.ENUMS" Description="Уровень доступа" EnumType="ReportRights" Required="1" />
  </Fields>
  <DbMapping>
    <Table name="T_ReportRole">
      <Map Name="RepRoleID" Column="RepRoleID" />
      <Map Name="ReportID" Column="ReportID" />
      <Map Name="RoleID" Column="RoleID" />
      <Map Name="ReportRights" Column="ReportRights" />
    </Table>
  </DbMapping>
</Entity>